%define name	endeavour
%define version	2.1.20
%define release	1mdk

Name:		%name
Version:	%version
Release:	%release
Summary:	Graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL: 		http://wolfpack.twu.net/Endeavour2
Source0: 	ftp://wolfpack.twu.net/users/wolfpack/%name-%version.tar.bz2
Source1:        %name-16.png.bz2
Source2:        %name-32.png.bz2
Source3:        %name-48.png.bz2
BuildRequires:	XFree86-devel gtk+-devel imlib-devel
BuildRoot:	%_tmppath/%name-buildroot

%description
Endeavour Mark II is a file browser with management support for all
types of disk objects.
It is a complete rewrite from the original Endeavour, many features from the
existing version have been reworked and lots of new features have been added.
New features include:
-Interapplication drag and drop
-Recycled objects caching system
-Device mounting and statistic charting
-Integrated MIME Types system.

%prep
rm -rf %buildroot
%setup -q
bzcat %{SOURCE1} > %name-16.png
bzcat %{SOURCE2} > %name-32.png
bzcat %{SOURCE3} > %name-48.png

%build
export CFLAGS="%optflags"
./configure Linux -v --disable=arch-i686
make all

%install
make PREFIX=%buildroot%_prefix MAN_DIR=%buildroot%_mandir/man1 install
# fix binary location
#for file in %buildroot%_libdir/%{name}2/bin/*; do
#  utilname=`basename $file`                                           
#	mv $file %buildroot%_bindir/%{name}2.$utilname
#done
# icons
install -D -m 644 %name-16.png %buildroot%_miconsdir/%name.png
install -D -m 644 %name-32.png %buildroot%_iconsdir/%name.png 
install -D -m 644 %name-48.png %buildroot%_liconsdir/%name.png 

# menu entry
mkdir -p %buildroot%_menudir
cat >%buildroot%_menudir/%name <<EOF
?package(%{name}):\\
	command="%{_bindir}/endeavour2"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="Applications/File tools"\\
	title="Endeavour" \
	longtitle="File browser with management support for all types of disk objects"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,755)
%doc AUTHORS INSTALL README
%_bindir/endeavour2*
%_libdir/%{name}2/bin/*
%_mandir/man1/endeavour2.1*
%_datadir/endeavour2
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.20-1mdk
- from Quel Qun <kelk1@sbcglobal.net> :
	- Disabled utility moves since their path is hard coded inside the main app.
	- 2.1.20
	- Added options -geometry -fn -fg -bg -sfg -sbg -title see man
	  endeavour2 for more details.
	- Added download object button in the toolbars, see
	  Settings->Customize->File Browser->Toolbar.
	- Added hedit, a hex editor.  It is installed in
	  /usr/lib/endeavour2/bin/hedit
	- Fixed segfault caused by inconsistent defination of gbool
	- Download front end can now be runned as a stand-alone.
                
* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.18-1mdk
- 2.1.18

* Mon Aug 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.16-1mdk
- 2.1.16

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.15-1mdk
- 2.1.15

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.14-1mdk
- 2.1.14

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.13-1mdk
- 2.1.13

* Tue Mar 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.11-1mdk
- 2.1.11

* Mon Feb 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- patch merged upstream

* Thu Feb 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.7-1mdk
- 2.17

* Fri Jan 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-2mdk
- used png instead of xpm for menu icons

* Thu Jan 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-1mdk
- 2.1.5

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-4mdk
- back to standard /usr location

* Fri Jan 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-3mdk
- better description

* Tue Jan 01 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 2.0.0-2mdk 
- mandrake optimisation
- first Mandrake release
- spec cleanup
- corrected menu

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 2.0.0-1mdk
- Initial build
